Retrieve paginated list of ATS attachment files
Retrieves attachment files (such as resumes, cover letters, or offer letters) associated with a specific ATS entity. Scope results by the entity type (candidate, job, note, etc.), its ID, and the attachment type.
Token scopes: ats:read, worker:read
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.deel.training/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
attachable_type_slug
Type of the attachable entity
attachable_id
Unique identifier for the attachable entity
attachment_type_slug
Type of the attachment
Allowed values:
Query parameters
cursor
The cursor for pagination
limit
Maximum number of records returned in one response
Response
Successful operation.
data
Array of attachment objects
has_more
Indicates if there are more results available
next_cursor
Cursor for pagination to fetch next page
total_count
Total count of attachments
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error